<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Moja strona WWW</title>
  </head>
  <body>
  <?php
    if (!$db = mysqli_connect("localhost", "php", "test")){
      echo 'Błąd podczas próby połączenia z serwerem MySQL...<br>';
      echo '</body></html>';
      exit;
    }

    if(!mysqli_select_db($db, 'testphp')){
      mysqli_close($db);
      echo 'Błąd podczas wyboru bazy danych: testphp <br>';
      echo '</body></html>';
      exit();
    }

    $query = 'SELECT * FROM osoba';

    if(!$result = mysqli_query($db, $query)){
      mysqli_close($db);
      echo 'Wystąpił błąd: nieprawidłowe zapytanie...<br>';
      echo '</body></html>';
      exit();
    }
    ?>

    <table>
      <tr>
        <td>Id</td>
        <td>Imię</td>
        <td>Nazwisko</td>
        <td>Rok urodzenia</td>
        <td>Miejsce urodzenia</td>
      </tr>

      <?php
      while($row = mysqli_fetch_row($result)){
        echo "<tr>";
        echo "<td>$row[0]</td>";
        echo "<td>$row[1]</td>";
        echo "<td>$row[2]</td>";
        echo "<td>$row[3]</td>";
        echo "<td>$row[4]</td>";
        echo "</tr>";
      }
      ?>

    </table>

    <?php
      if(!mysqli_close($db)){
        echo 'Błąd podczas zamykania połączenia z serwerem MySQL...<br>';
      }
    ?>
  </body>
</html>
